<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Welcome to Market</title>
</head>
<body>
    <h2>Welcome</h2>
    <p>Spring Security Thymeleaf tutorial</p>
    <div sec:authorize="hasRole('USER')">Text visible to user.</div>
    <div sec:authorize="hasRole('ADMIN')">Text visible to admin.</div>
    <div sec:authorize="isAuthenticated()">Text visible only to
        authenticated users.
    </div>
    Authenticated username:
    <div sec:authentication="name"></div>
    Authenticated user roles:
    <div sec:authentication="principal.authorities"></div>

    <form th:action="@{/logout}" method="post">
        <input type="submit" value="Log Out"/>
    </form>
</body>
</html>